<?

function set_object_vars (&$object, $parameters, $allowed = false)
{
	$class		= get_class ($object);
	$class_vars	= get_class_vars ($class);
	
	if ($class_vars):
		if (!$allowed)
			$allowed = array_keys ($class_vars);

		if ($parameters)
			foreach ($parameters as $var => $value)
				if (array_key_exists ($var, $class_vars) and in_array ($var, $allowed))
					$object->$var = $value;
	endif;
}

function url_pair ($name, $value)
{
	return str_replace ("+", "%20", urlencode ($name)) . "=" . str_replace ("+", "%20", urlencode ($value));
}

function html_error ($errors, $name, $info = false)
{
	if (isset ($errors [$name]))
		return '<em class="error">' . htmlspecialchars ($errors [$name]) . '</em>';
	elseif ($info)
		return '<em class="info">' . htmlspecialchars ($info) . '</em>';

	return "";
}

function render_page ($page, $params = false, $exit = false)
{
	$GLOBALS ["params"] = $params;

	include $page;
	
	if ($exit)
		exit();
}

function get_params ()
{
	return $GLOBALS ["params"];
}

function redirect_to ($url)
{
	header ("Location: $url");
	
	exit();
}

?>